OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
BloscCompressAttributesOp< PointDataTreeType > Struct Template Reference

`#include <PointAttribute.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | Indices = std::vector< size_t >

## Public Member Functions
| BloscCompressAttributesOp (const Indices &indices)
void | operator() (const LeafRangeT &range) const

## Public Attributes
const Indices & | mIndices

## Member Typedef Documentation

## ◆ Indices

using Indices = std::vector<size_t>

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ BloscCompressAttributesOp()

BloscCompressAttributesOp | ( | const Indices & | indices | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndices

const Indices& mIndices

The documentation for this struct was generated from the following file:

- PointAttribute.h